=== debian/changelog ===
rhash (1.3.9-1) unstable; urgency=medium

  [Jelmer Vernooĳ]
  * d/upstream/metadata: Fix YAML syntax

  [Samuel Henrique]
  * d/salsa-ci.yml: Enable salsa CI pipelines

  [Aleksey Kravchenko]
  * New upstream release version 1.3.9
  * d/upstream/metadata: Fill upstream metadata fields
  * d/upstream/signing-key.asc: Update upstream public key
  * d/patches/01_fix_uk_po.patch: Fix uk translation
  * d/rules: remove override_dh_strip to finish debug symbol migration
  * d/control
    - Bump Standards-Version to 4.4.1
    - Add Rules-Requires-Root: no
    - Switch Build-Depends from debhelper to debhelper-compat level 12
  * d/compat: Drop obsolete d/compat
  * d/copyright: project license got changed to BSD Zero Clause License

 -- Aleksey Kravchenko <rhash.admin@gmail.com>  Tue, 17 Dec 2019 22:13:10 +0300
