## rhash 1.4.0

=== debian/changelog ===
rhash (1.4.0-1) unstable; urgency=medium

  [ Aleksey Kravchenko ]
  * New upstream version 1.4.0
  * debian/patches:
    - drop already integrated into upstream patch
    - pick commit from upstream with bugfix for file-lists
  * d/control
    - Bump Standards-Version to 4.5.0
    - Bump Build-Depends debhelper-compat level to 13
    - Build-Depends: increase libssl version up to 1.1

 -- Aleksey Kravchenko <rhash.admin@gmail.com>  Sun, 19 Jul 2020 03:13:21 +0300
