=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Aleksey Kravchenko <rhash.admin@gmail.com>
-Build-Depends: debhelper-compat (= 12), dpkg-dev (>= 1.16.2), libssl-dev (>= 1.0.0)
-Standards-Version: 4.4.1
+Build-Depends: debhelper-compat (= 13), dpkg-dev (>= 1.16.2), libssl-dev (>= 1.1.0)
+Standards-Version: 4.5.0
 Homepage: http://rhash.sourceforge.net
 Vcs-Git: https://salsa.debian.org/pkg-security-team/rhash.git
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/rhash
@@ -13,7 +13,7 @@
 Package: rhash
 Architecture: any
 Depends: librhash0 (>= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
-Recommends: libssl1.1 | libssl1.0.2 | libssl1.0.0
+Recommends: libssl1.1
 Description: utility for computing hash sums and magnet links
  RHash is a console utility for calculation and verification of magnet links
  and a wide range of hash sums like CRC32, MD4, MD5, SHA1, SHA256, SHA512,
@@ -33,7 +33,7 @@
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: libssl1.1 | libssl1.0.2 | libssl1.0.0
+Recommends: libssl1.1
 Multi-Arch: same
 Description: shared library for hash functions computing
  LibRHash is a professional, portable, thread-safe C library for computing
