=== debian/changelog ===
rhash (1.4.1-2) unstable; urgency=medium

  * d/patches/0001-v1.4.1.patch fix incorrectly reported version

 -- Aleksey Kravchenko <rhash.admin@gmail.com>  Thu, 25 Mar 2021 02:26:02 +0300

rhash (1.4.1-1) unstable; urgency=medium

  * New upstream version 1.4.1
  * d/patches: drop obsolete patch
  * d/control: bump Standards-Version to 4.5.1

 -- Aleksey Kravchenko <rhash.admin@gmail.com>  Fri, 08 Jan 2021 05:03:33 +0300
