## rhash 1.4.2

=== debian/changelog ===
rhash (1.4.2-1ubuntu1) jammy; urgency=medium

  * Load and recommend OpenSSL 3 libaries, not 1.1.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 03 Mar 2022 16:07:36 +1300

rhash (1.4.2-1build1) jammy; urgency=medium

  * No-change rebuild for libssl3 (LP: #1959840)

 -- Dan Bungert <daniel.bungert@canonical.com>  Wed, 02 Feb 2022 11:15:24 -0700

rhash (1.4.2-1) unstable; urgency=medium

  * New upstream version 1.4.2
  * Update pgp signature path in the watch file
  * Drop obsolete patches

 -- Aleksey Kravchenko <rhash.admin@gmail.com>  Sun, 29 Aug 2021 23:17:28 +0300
