=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: rhash
 Section: utils
 Priority: optional
-Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Aleksey Kravchenko <rhash.admin@gmail.com>
 Build-Depends: debhelper-compat (= 13), dpkg-dev (>= 1.16.2), libssl-dev (>= 1.1.0)
 Standards-Version: 4.5.1
@@ -13,7 +14,7 @@
 Package: rhash
 Architecture: any
 Depends: librhash0 (>= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
-Recommends: libssl1.1
+Recommends: libssl3
 Description: utility for computing hash sums and magnet links
  RHash is a console utility for calculation and verification of magnet links
  and a wide range of hash sums like CRC32, MD4, MD5, SHA1, SHA256, SHA512,
@@ -33,7 +34,7 @@
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: libssl1.1
+Recommends: libssl3
 Multi-Arch: same
 Description: shared library for hash functions computing
  LibRHash is a professional, portable, thread-safe C library for computing
