## rhash 1.4.3

=== Makefile ===
--- 
+++ 
@@ -13,18 +13,19 @@
   librhash/byte_order.c librhash/byte_order.h librhash/plug_openssl.c librhash/plug_openssl.h \
   librhash/rhash.c librhash/rhash.h librhash/rhash_torrent.c librhash/rhash_torrent.h \
   librhash/rhash_timing.c librhash/rhash_timing.h \
-  librhash/aich.c librhash/aich.h librhash/crc32.c librhash/crc32.h \
+  librhash/aich.c librhash/aich.h librhash/blake2b.c librhash/blake2b.h \
+  librhash/blake2s.c librhash/blake2s.h librhash/crc32.c librhash/crc32.h \
   librhash/ed2k.c librhash/ed2k.h librhash/edonr.c librhash/edonr.h \
   librhash/gost12.c librhash/gost12.h librhash/gost94.c librhash/gost94.h \
   librhash/has160.c librhash/has160.h librhash/hex.c librhash/hex.h librhash/md4.c \
   librhash/md4.h librhash/md5.c librhash/md5.h librhash/ripemd-160.c librhash/ripemd-160.h \
   librhash/sha1.c librhash/sha1.h librhash/sha3.c librhash/sha3.h \
   librhash/sha256.c librhash/sha256.h librhash/sha512.c librhash/sha512.h \
-  librhash/snefru.c librhash/snefru.h librhash/tiger.c librhash/tiger.h \
-  librhash/tiger_sbox.c librhash/tth.c librhash/tth.h librhash/whirlpool.c \
-  librhash/whirlpool.h librhash/whirlpool_sbox.c librhash/test_hashes.c \
-  librhash/test_hashes.h librhash/torrent.h librhash/torrent.c librhash/ustd.h \
-  librhash/util.h librhash/Makefile
+  librhash/snefru.c librhash/snefru.h librhash/tiger.c librhash/tiger.h librhash/tiger_sbox.c \
+  librhash/torrent.h librhash/torrent.c librhash/tth.c librhash/tth.h \
+  librhash/whirlpool.c librhash/whirlpool.h librhash/whirlpool_sbox.c \
+  librhash/test_lib.c librhash/test_lib.h librhash/ustd.h \
+  librhash/util.c librhash/util.h librhash/Makefile
 I18N_FILES  = po/ca.po po/de.po po/en_AU.po po/es.po po/fr.po po/gl.po po/it.po po/ro.po po/ru.po po/uk.po
 ALL_FILES   = $(SOURCES) $(HEADERS) $(LIBRHASH_FILES) $(OTHER_FILES) $(WIN_DIST_FILES) $(I18N_FILES)
 SPECFILE    = dist/rhash.spec
@@ -212,7 +213,7 @@
 rhash_main.o: rhash_main.c rhash_main.h calc_sums.h common_func.h file.h \
  hash_check.h file_mask.h find_file.h hash_print.h hash_update.h \
  parse_cmdline.h output.h win_utils.h librhash/rhash.h
-	$(CC) -c $(CFLAGS) $< -o $@
+	$(CC) -c $(CFLAGS) $(LOCALECFLAGS) $< -o $@
 
 win_utils.o: win_utils.c win_utils.h common_func.h file.h parse_cmdline.h \
  rhash_main.h
@@ -226,10 +227,10 @@
 	grep -q "APPDATA" dist/rhash.1.win.html
 
 dist/rhash.1.html: dist/rhash.1
-	-which rman 2>/dev/null && (rman -fHTML -roff dist/rhash.1 | sed -e '/<BODY/s/\(bgcolor=\)"[^"]*"/\1"white"/i' > $@)
+	-rman --version 2>/dev/null && (rman -fHTML -roff dist/rhash.1 | sed -e '/<BODY/s/\(bgcolor=\)"[^"]*"/\1"white"/i' > $@)
 
 dist/rhash.1.txt: dist/rhash.1
-	-which groff &>/dev/null && (groff -t -e -mandoc -Tascii dist/rhash.1 | sed -e 's/.\[[0-9]*m//g' > $@)
+	-groff --version 2>/dev/null && (groff -t -e -mandoc -Tascii dist/rhash.1 | sed -e 's/.\[[0-9]*m//g' > $@)
 
 permissions:
 	find . build dist docs librhash po tests -maxdepth 1 -type f -exec chmod -x '{}' \;
@@ -260,12 +261,15 @@
 	tar cJf $(ARCHIVE_XZ) --owner=root:0 --group=root:0 $(PACKAGE_NAME)/
 	rm -rf $(PACKAGE_NAME)
 
-$(ARCHIVE_ZIP): $(WIN_DIST_FILES) dist/rhash.1.win.html
+win-dir: $(WIN_DIST_FILES) dist/rhash.1.win.html
 	test -s dist/rhash.1.win.html && test -x $(RHASH_BINARY)
 	-rm -rf $(WIN_ZIP_DIR)
 	mkdir $(WIN_ZIP_DIR)
 	cp $(RHASH_BINARY) ChangeLog $(WIN_DIST_FILES) $(WIN_ZIP_DIR)/
 	cp dist/rhash.1.win.html $(WIN_ZIP_DIR)/rhash-doc.html
+
+$(ARCHIVE_ZIP): $(WIN_DIST_FILES) dist/rhash.1.win.html
+	+$(MAKE) win-dir
 	zip -9r $(ARCHIVE_ZIP) $(WIN_ZIP_DIR)
 	rm -rf $(WIN_ZIP_DIR)
 
@@ -289,7 +293,7 @@
 
 clean-local:
 	rm -f *.o $(RHASH_SHARED) $(RHASH_STATIC)
-	rm -f po/*.gmo po/*.po~
+	rm -f po/*.gmo po/*.po~ po/compile-gmo.tag
 
 distclean: clean-local
 	rm -f config.log config.mak $(SPECFILE) $(LIBRHASH_PC)
@@ -305,11 +309,14 @@
 		msgmerge -U $$f po/rhash.pot; \
 	done
 
-compile-gmo:
+po/compile-gmo.tag: $(I18N_FILES)
 	for f in $(I18N_FILES); do \
 		g=`basename $$f .po`; \
 		msgfmt -o po/$$g.gmo $$f; \
 	done
+	touch $@
+
+compile-gmo: po/compile-gmo.tag
 
 install-gmo: compile-gmo
 	for f in $(I18N_FILES); do \
@@ -324,6 +331,3 @@
 	done
 
 .PHONY: all build-shared build-static lib-shared lib-static clean clean-bindings distclean clean-local \
-	test test-shared test-static test-full test-lib test-libs test-lib-shared test-lib-static \
-	install build-install-binary install-binary install-lib-shared install-lib-static \
-	install-lib-headers install-lib-so-link install-conf install-data install-gmo install-man \
