=== debian/changelog ===
rhash (1.4.3-3) unstable; urgency=medium

  * d/watch: Drop filenamemangle option, as recommended by lintian
  * d/patches: Fix build on sparc64 arch

 -- Aleksey Kravchenko <rhash.admin@gmail.com>  Sun, 17 Jul 2022 02:42:55 +0300

rhash (1.4.3-2) unstable; urgency=medium

  * d/control: Switch to libssl3 in B-Depends and Recommends
    (Closes: #1012698, #1011474)
  * d/patches:
    - Fix export of BTIH context
    - Fix libcrypto dynamic loading by reordering library filenames

 -- Aleksey Kravchenko <rhash.admin@gmail.com>  Tue, 28 Jun 2022 22:43:53 +0300

rhash (1.4.3-1) unstable; urgency=medium

  * New upstream release version 1.4.3
  * librhash0.symbols: added 4 functions
  * d/copyright: update copyright year
  * d/control: bump std-version to 4.6.1.0
  * d/patches:
    - Fix incorrectly reported version
    - Fix localization

 -- Aleksey Kravchenko <rhash.admin@gmail.com>  Thu, 23 Jun 2022 22:06:32 +0300
