=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: rhash
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
+Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Aleksey Kravchenko <rhash.admin@gmail.com>
-Build-Depends: debhelper-compat (= 13), dpkg-dev (>= 1.16.2), libssl-dev (>= 1.1.0)
-Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (= 13), dpkg-dev (>= 1.16.2), libssl-dev (>= 3.0.0)
+Standards-Version: 4.6.1
 Homepage: http://rhash.sourceforge.net
 Vcs-Git: https://salsa.debian.org/pkg-security-team/rhash.git
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/rhash
