=== debian/tests/control ===
Test-Command: tests/test_rhash.sh /usr/bin/rhash
