=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/archive\/refs\/tags\/(v?\d\S+).tar.gz/releases\/download\/$1\/$1.tar.gz.asc/" \
  https://github.com/rhash/RHash/tags .*/v(\d\S+)\.tar\.gz
