## rhash 1.4.4

=== debian/changelog ===
rhash (1.4.4-3) unstable; urgency=medium

  * d/patches: Fix build on hurd archs

 -- Aleksey Kravchenko <rhash.admin@gmail.com>  Tue, 01 Oct 2024 03:20:08 +0300

rhash (1.4.4-2) unstable; urgency=medium

  * d/control: bump std-version to 4.7.0
  * d/copyright: update copyright year to 2024

 -- Aleksey Kravchenko <rhash.admin@gmail.com>  Tue, 01 Oct 2024 00:55:30 +0300

rhash (1.4.4-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

  [ Aleksey Kravchenko ]
  * New upstream version 1.4.4 (Closes: #1025999)
  * Bump librhash soname
  * d/control: bump std-version to 4.6.2
  * d/copyright: update copyright year
  * Override the hardening-no-fortify-functions lintian warning
  * d/patches:
    - Drop obsolete patches
    - Fix backslash in the rhash.1 manpage

 -- Aleksey Kravchenko <rhash.admin@gmail.com>  Mon, 17 Jul 2023 07:49:58 +0300
